For the complete documentation index, see llms.txt.

Rates
GET/api/rates

Get Rates (Deprecated)

Get a quote for a shipment

View as MarkdownCopy for LLM

Rates

Request checkout rates and delivery services from courier accounts configured in Starshipit.

3 related endpoints

Endpoint

Endpoint URL

https://api.starshipit.com/api/rates

Details

Get a quote for a shipment

Request Parameters

Parameter Type Description
street string Street number and name of the delivery address
post_code string Postal or zip code of the delivery address
country_code string The country code of the delivery address
weight number Format - double. Total weight of the order
suburb (optional) string Suburb of the delivery address
city (optional) string City of the delivery address
state (optional) string State, regional, provincial or county name of the delivery address
height (optional) number Format - double. Height of the package in metres
width (optional) number Format - double. Width of the package in metres
length (optional) number Format - double. Length of the package in metres

Get Rates Response

Attribute Type Description
rates object list A list of available shipping rates (Rate Model)
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Response examples

Get Rates (200)
{
  "rates": [
    {
      "service_name": "PARCEL POST + SIGNATURE",
      "service_code": "7B05",
      "total_price": 10.15
    },
    {
      "service_name": "EXPRESS POST + SIGNATURE",
      "service_code": "7B05",
      "total_price": 12.85
    }
  ],
  "success": true
}

Related endpoints